<div ng-controller="companiaController" ng-cloak>

	<div layout="row">
		<div flex="100">
			<md-toolbar class="md-table-toolbar md-default">
				<div class="md-toolbar-tools">
					<h2 class="md-title">Compa&ntilde;&iacute;as</h2>
					<div class="flex" flex=""></div>
					<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newCompania()" aria-label="add_circle">
						<md-icon class="material-icons">add_circle</md-icon>
						<div class="md-ripple-container"></div>
					</button>
				</div>
				<md-input-container class="md-block" flex-gt-sm>
					<label>Filtro de b&uacute;squeda</label>
					<input ng-model='textCompaniasFilter' />
				</md-input-container>
			
			</md-toolbar>
			<md-table-container>
				<table md-table multiple ng-model="selected" md-progress="promise">
    				<thead fix-head md-head>
      					<tr md-row>
      						<th md-column md-order-by="nombreToLower" ng-click="sortBy('nombre')">
      							<span>NOMBRE COMPA&Ntilde;IA</span>
      						</th>
      					</tr>
      				</thead>
      				<tbody md-body>
      					<tr md-row md-select-id="id" md-auto-select ng-repeat="compania in companias | filter: companiasFilter | orderBy:propertyName:reverse"" ng-click="companiaDetails(compania.id)">
        					<td md-cell>{{compania.nombre}}</td>
        				</tr>
        			</tbody>
      			</table>
			</md-table-container>
		</div>
		<div style="display: none" flex="100">
			<div class="md-dialog-container" id="companiaDialog" flex="100">
				<md-dialog aria-label="{{dialogAction}}" flex="80">
				<md-toolbar>
					<div class="md-toolbar-tools">
						<h2>{{dialogAction}}</h2>
						<span flex></span>
						<md-button class="md-icon-button" ng-click="cancel()"> <md-icon aria-label="Cerrar"> <i class="material-icons">clear</i></md-icon> </md-button>
					</div>
					</md-toolbar>
				<form name="companiaForm" id="companiaForm" novalidate class="panel panel-default" ng-submit="companiaForm.$valid && saveCompania(compania)">
					<md-dialog-content>
					<div layout="column" flex="95">
						<md-input-container class="md-block" flex-gt-sm> <label>Nombre</label> <input md-maxlength="400" required name="nombre" ng-model="compania.nombre" />

						<div ng-messages="companiaForm.nombre.$error">
							<div ng-message="required">
								<b>Nombre</b> obligatorio.
							</div>
							<div ng-message="md-maxlength">
								El <b>Nombre</b> no debe superar los 400 caracteres.
							</div>
						</div>
						</md-input-container>

						<md-input-container class="md-block" flex-gt-sm>
							<label>Nombre modelo</label> 
							<input md-maxlength="200" name="nombreModelo" ng-model="compania.nombreModelo" />

							<div ng-messages="companiaForm.nombreModelo.$error">
								<div ng-message="md-maxlength">
									El <b>Nombre modelo</b> no debe superar los 200 caracteres.
								</div>
							</div>
						</md-input-container>

						<p>Tipo modelo</p>

						<md-radio-group ng-model="compania.tipoModelo"> 
							<md-radio-button value="C">Compa&ntilde;ia</md-radio-button> 
							<md-radio-button value="P">Propio</md-radio-button>
						</md-radio-group>
					</div>
					</md-dialog-content>

					<md-dialog-actions layout="row">
						<md-button type="submit" id="saveCompania" class="md-raised md-primary">Guardar</md-button> 
						<md-button type="button" class="md-raised md-warn" ng-click="removeCompania(compania)" ng-if="compania.id">Eliminar</md-button>
					</md-dialog-actions>
				</form>
				</md-dialog>
			</div>
		</div>
	</div>

</div>
